#ifndef __IFP_H__
#define __IFP_H__

#include <usb.h>
#include <stdio.h>

#define iRiver_Vendor	0x4102
#define iFP_Product	0x1001


extern int ifp_get_capacity(usb_dev_handle *dh);
extern int ifp_get_free(usb_dev_handle *dh);
extern int ifp_list_dir_printf(usb_dev_handle *dh, const char *name, int format, int recurrent);
extern int ifp_upload_file(usb_dev_handle *dh, const char *name, FILE *f);
extern int ifp_upload_dir(usb_dev_handle *dh, const char *from, const char *name);
extern int ifp_delete_file(usb_dev_handle *dh, const char *name);
extern int ifp_delete_recursive(usb_dev_handle *dh, const char *name);
extern int ifp_empty_dir(usb_dev_handle *dh, const char *name);
extern int ifp_delete_dir(usb_dev_handle *dh, const char *name);
extern int ifp_make_dir(usb_dev_handle *dh, const char *name);
extern int ifp_download_file(usb_dev_handle *dh, const char *name, FILE *f);

extern int ifp_battery_condition(usb_dev_handle *dh);
extern int ifp_type_string(usb_dev_handle *dh, char *string);
extern int ifp_firmware_version(usb_dev_handle *dh);
extern int ifp_check_connect(usb_dev_handle *dh);

extern int ifp_format(usb_dev_handle *dh);
extern int ifp_firmware_update(struct usb_device *dev, usb_dev_handle *dh, char *name);
extern char *get_basename(const char *path);

#endif

